directive

# `else/0`

## Description

    else

Starts an else branch when performing conditional compilation. The code following this directive is compiled iff the goal in the matching if/1 or elif/1 directive is false.

## Template and modes

    else

## Examples

An example where a hypothetical application would have some limitations that the user should be made aware of when running on a backend Prolog compiler with bounded arithmetic:

    :- if(current_prolog_flag(bounded, true)).

        :- initialization(
            logtalk::print_message(warning,app,bounded_arithmetic)
        ).

    :- else.

        :- initialization(
            logtalk::print_message(comment,app,unbounded_arithmetic)
        ).

    :- endif.

See also

elif/1, endif/0, if/1